.. AUTO-GENERATED FILE. DO NOT EDIT. store-auth-login-attempts-patch-one =================================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25334823297`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``async`` - Lambda: ``jef-store-patch-8`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/store-auth-login-attempts-patch-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-login-attempts-patch-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-patch-8`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-patch-8 Module: jef-store Action: patch Method: PATCH Invocation Mode: ASYNC Resource Path: /store-auth-login-attempts-patch-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-store-auth-login-attempts Payload Example: - pk: login-attempt-1001-0001 - gsi_1_pk: 1001 - gsi_1_sk: 2026-05-04T09:07:00+08:00 - login_attempt_id: login-attempt-1001-0001 - entity_number: 1001 - employee_number: EMP-1001-0001 - login_type: specialty-coffee-drink - attempt_status: active - message: Pandan Coconut Sea Salt Latte message 1001-0001 - device_id: device-1001-0001 - session_id: session-1001-0001 - is_successful: true - submitted_at: 2026-05-04T09:07:00+08:00 - verified_at: 2026-05-04T09:07:00+08:00 - is_deleted: false - deleted_at: - created_at: 2026-05-04T09:07:00+08:00 - updated_at: 2026-05-04T09:07:00+08:00 - idempotency_key: 85f30eeb-d6d3-5495-b394-e05ecbf7a963 - schema_version: 1001 - version: 1001 Payload Schema: - pk: string-{login_attempt_id} - gsi_1_pk: string-{entity_number} - gsi_1_sk: string-{submitted_at} - login_attempt_id: string - entity_number: string - employee_number: string - login_type: string - attempt_status: string - message: string - device_id: string - session_id: string - is_successful: boolean - submitted_at: string - verified_at: string - is_deleted: boolean - deleted_at: string - created_at: string - updated_at: string - idempotency_key: string - schema_version: number - version: number Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "login-attempt-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "2026-05-04T09:07:00+08:00", "login_attempt_id": "login-attempt-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "login_type": "specialty-coffee-drink", "attempt_status": "active", "message": "Pandan Coconut Sea Salt Latte message 1001-0001", "device_id": "device-1001-0001", "session_id": "session-1001-0001", "is_successful": "true", "submitted_at": "2026-05-04T09:07:00+08:00", "verified_at": "2026-05-04T09:07:00+08:00", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "85f30eeb-d6d3-5495-b394-e05ecbf7a963", "schema_version": "1001", "version": "1001" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-login-attempts-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"login-attempt-1001-0001\", \"gsi_1_pk\": \"1001\", \"gsi_1_sk\": \"2026-05-04T09:07:00+08:00\", \"login_attempt_id\": \"login-attempt-1001-0001\", \"entity_number\": \"1001\", \"employee_number\": \"EMP-1001-0001\", \"login_type\": \"specialty-coffee-drink\", \"attempt_status\": \"active\", \"message\": \"Pandan Coconut Sea Salt Latte message 1001-0001\", \"device_id\": \"device-1001-0001\", \"session_id\": \"session-1001-0001\", \"is_successful\": \"true\", \"submitted_at\": \"2026-05-04T09:07:00+08:00\", \"verified_at\": \"2026-05-04T09:07:00+08:00\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"85f30eeb-d6d3-5495-b394-e05ecbf7a963\", \"schema_version\": 1001, \"version\": 1001}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-login-attempts-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "login-attempt-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "2026-05-04T09:07:00+08:00", "login_attempt_id": "login-attempt-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "login_type": "specialty-coffee-drink", "attempt_status": "active", "message": "Pandan Coconut Sea Salt Latte message 1001-0001", "device_id": "device-1001-0001", "session_id": "session-1001-0001", "is_successful": "true", "submitted_at": "2026-05-04T09:07:00+08:00", "verified_at": "2026-05-04T09:07:00+08:00", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "85f30eeb-d6d3-5495-b394-e05ecbf7a963", "schema_version": 1001, "version": 1001}'